org.multiverse.api.predicates

## Class BooleanPredicate

- java.lang.Object
- - org.multiverse.api.predicates.BooleanPredicate

All Implemented Interfaces:
  Predicate<java.lang.Boolean>

    public abstract class BooleanPredicate
    extends java.lang.Object
    implements Predicate<java.lang.Boolean>

A predicate that checks if some value leads to true or false.

### Constructor Summary

Constructors
Constructor and Description
`BooleanPredicate()`

### Method Summary

Methods
`abstract boolean` `evaluate(boolean current)` Evaluates the predicate
`boolean` `evaluate(java.lang.Boolean arg)` Evaluates the predicate.
`static BooleanPredicate` `newEqualsPredicate(boolean value)`
`static BooleanPredicate` `newNotEqualsPredicate(boolean value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanPredicate

    public BooleanPredicate()

### Method Detail

#### newEqualsPredicate

    public static BooleanPredicate newEqualsPredicate(boolean value)

#### newNotEqualsPredicate

    public static BooleanPredicate newNotEqualsPredicate(boolean value)

#### evaluate

    public abstract boolean evaluate(boolean current)

Evaluates the predicate

Parameters:
  `current` - the current value.
Returns:
  true or false.

#### evaluate

    public final boolean evaluate(java.lang.Boolean arg)

Description copied from interface: `Predicate`
Evaluates the predicate.

Specified by:
  `evaluate` in interface `Predicate<java.lang.Boolean>`
Parameters:
  `arg` - the value to evaluate.
Returns:
  true or false.